Subject: Re: BUG: soft lockup detected on CPU#0! (2.6.18.2 plus hacks)

From: Jarek Poplawski <[email-masked]>
Date: Thu, 4 Jan 2007 12:04:35 +0100

On Thu, Jan 04, 2007 at 09:27:07PM +1100, Herbert Xu wrote:
> On Thu, Jan 04, 2007 at 09:50:14AM +0100, Jarek Poplawski wrote:
> > 
> > Could you explain? I can see some inet_rtm_newaddr
> > interrupted. For me it could be e.g.:
> > 
> > after
> > vconfig add eth0 9
> > 
> > ip addr add dev eth0.9 ...
> 
> Whether eth0.9 is up or not does not affect this at all.  The spin
> locks are initialised (and used) when the first IPv4 address is added,
> not when the device comes up.

I understand this. I consider IFF_UP as a sign all 
initialisations (open functions including) are
completed and there is permission for working (so
logically, if I would do eth0.9 down all traffic
should be stopped, what probably isn't true now).

Jarek P.